# error: cannot convert 'bool' to 'Qt::ItemFlags'

--- qtiplot/src/core/ConfigDialog.cpp.orig	2011-10-25 11:50:24.000000000 +0545
+++ qtiplot/src/core/ConfigDialog.cpp	2022-08-07 02:50:23.000000000 +0545
@@ -1390,7 +1390,11 @@
 	colorsList->setRowCount(colors);
 	for (int i = 0; i < colors; i++){
 		QTableWidgetItem *it = new QTableWidgetItem();
+	#if defined(Q_CC_MSVC) || defined(__APPLE__)
+		it->setFlags(it->flags() & (~Qt::ItemIsEditable));
+	#else
 		it->setFlags(!Qt::ItemIsEditable);
+	#endif
 		it->setBackground(QBrush(colList[i]));
 		colorsList->setItem(i, 0, it);
 

--- qtiplot/src/lib/src/ColorMapEditor.cpp.orig	2011-07-02 09:23:54.000000000 +0545
+++ qtiplot/src/lib/src/ColorMapEditor.cpp	2022-08-07 02:47:20.000000000 +0545
@@ -155,7 +155,7 @@
 		QColor c = color_map.color(i);
 
 		QTableWidgetItem *it = new QTableWidgetItem(c.name());
-	#ifdef Q_CC_MSVC
+	#if defined(Q_CC_MSVC) || defined(__APPLE__)
 		it->setFlags(it->flags() & (~Qt::ItemIsEditable));
 	#else
 		it->setFlags(!Qt::ItemIsEditable);
@@ -246,7 +246,7 @@
     table->setCellWidget(row, 0, sb);
 
 	QTableWidgetItem *it = new QTableWidgetItem(c.name());
-#ifdef Q_CC_MSVC
+#if defined(Q_CC_MSVC) || defined(__APPLE__)
 	it->setFlags(it->flags() & (~Qt::ItemIsEditable));
 #else
 	it->setFlags(!Qt::ItemIsEditable);



--- qtiplot/src/analysis/dialogs/FitDialog.cpp.orig	2011-10-17 12:38:08.000000000 +0545
+++ qtiplot/src/analysis/dialogs/FitDialog.cpp	2022-08-06 23:09:47.000000000 +0545
@@ -1019,11 +1019,11 @@
 	int prec = boxPrecision->value();
     for (int i = 0; i<parameters; i++){
         QTableWidgetItem *it = new QTableWidgetItem(paramList[i]);
-#ifdef Q_CC_MSVC
+	#if defined(Q_CC_MSVC) || defined(__APPLE__)
         it->setFlags(it->flags() & (~Qt::ItemIsEditable));
-#else
+	#else
         it->setFlags(!Qt::ItemIsEditable);
-#endif
+	#endif
         it->setBackground(QBrush(Qt::lightGray));
         it->setForeground(Qt::black);
         QFont font = it->font();
@@ -1049,7 +1049,11 @@
         boxParams->setCellWidget(i, 2, sb);
 
         it = new QTableWidgetItem();
-		it->setFlags(!Qt::ItemIsEditable);
+	#if defined(Q_CC_MSVC) || defined(__APPLE__)
+        it->setFlags(it->flags() & (~Qt::ItemIsEditable));
+	#else
+        it->setFlags(!Qt::ItemIsEditable);
+	#endif
 		it->setText("--");
 		boxParams->setItem(i, 5, it);
 	}
@@ -1061,11 +1065,11 @@
         boxParams->showColumn(4);
 		for (int i = 0; i<boxParams->rowCount(); i++ ){
             QTableWidgetItem *it = new QTableWidgetItem();
-#ifdef Q_CC_MSVC
+	#if defined(Q_CC_MSVC) || defined(__APPLE__)
             it->setFlags(it->flags() & (~Qt::ItemIsEditable));
-#else
+	#else
             it->setFlags(!Qt::ItemIsEditable);
-#endif
+	#endif
             it->setBackground(QBrush(Qt::lightGray));
             boxParams->setItem(i, 4, it);
 
